漏洞信息详情

Doorkeeper 信息泄露漏洞

  • CNNVD编号:CNNVD-202005-004
  • 危害等级: 高危
  • CVE编号: CVE-2020-10187
  • 漏洞类型: 信息泄露
  • 发布时间: 2020-05-01
  • 威胁类型: 远程
  • 更新时间: 2020-08-27
  • 厂        商:
  • 漏洞来源:

漏洞简介

Doorkeeper是一款适用于Rails/Grape应用的OAuth 2身份验证提供程序。

Doorkeeper 5.0.0及之后版本(5.0.3、5.1.1、5.2.5、5.3.2版本已修复)中存在信息泄露漏洞,该漏洞源于不正确的访问控制。远程攻击者可借助特制请求利用该漏洞检索客户端上的敏感信息。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/doorkeeper-gem/doorkeeper/security/advisories/GHSA-j7vx-8mqj-cqp9

参考网址

来源:MISC

链接:https://github.com/doorkeeper-gem/doorkeeper/commit/25d038022c2fcad45af5b73f9d003cf38ff491f6

来源:MISC

链接:https://github.com/doorkeeper-gem/doorkeeper/releases

来源:MISC

链接:https://github.com/rubysec/ruby-advisory-db/pull/446

来源:MISC

链接:https://github.com/doorkeeper-gem/doorkeeper/security/advisories/GHSA-j7vx-8mqj-cqp9

来源:www.nsfocus.net

链接:http://www.nsfocus.net/vulndb/48115

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2020.1564/

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-10187

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多